Bug 18283 - Getting unsigned long only returns values in the range 0 to 2^31-1, but setting allows 0 to 2^32-1. Why this assymetry?
Getting unsigned long only returns values in the range 0 to 2^31-1, but setti...
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: Silvia Pfeiffer
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 17:57 UTC by contributor
Modified: 2012-09-21 10:37 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 17:57:17 UTC
This was was cloned from bug 17705 as part of operation convergence.
Originally filed: 2012-07-06 04:57:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-07-06 04:57:30 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/common-dom-interfaces.html
Multipage: http://www.whatwg.org/C#reflecting-content-attributes-in-idl-attributes
Complete: http://www.whatwg.org/c#reflecting-content-attributes-in-idl-attributes

Comment:
Getting unsigned long only returns values in the range 0 to 2^31-1, but
setting allows 0 to 2^32-1. Why this assymetry?

Posted from: 85.227.152.47 by simonp@opera.com
User agent: Opera/9.80 (Macintosh; Intel Mac OS X 10.7.3; U; en) Presto/2.10.229 Version/11.64
================================================================================
Comment 1 Silvia Pfeiffer 2012-09-21 10:37:06 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
   you are satisfied with this response, please change the state of
   this bug to CLOSED. If you have additional information and would
   like the Editor to reconsider, please reopen this bug. If you would
   like to escalate the issue to the full HTML Working Group, please
   add the TrackerRequest keyword to this bug, and suggest title and
   text for the Tracker Issue; or you may create a Tracker Issue
   yourself, if you are able to do so. For more details, see this
   document:       http://dev.w3.org/html5/decision-policy/decision-policy.html

   Status: Accepted
   Change Description: Patch applied
https://github.com/w3c/html/commit/b4e8ac0449fbff7b5728daa34d9f798f47c1d6cd
   Rationale: adopted from WHATWG